var plugin = require("../../vendor/mps-sdk/index.js")
Page({
  data: {
    // playUrl: 'http://1011.hlsplay.aodianyun.com/demo/game.m3u8',
    hidden: true,
    title:'警告',
    text:'错误',
    nocancel:true,
    isInit:false
  },
  onLoad: function(res) {
    var that = this;
    var data = JSON.parse(decodeURIComponent(res.data))
    var callback = function(resp){
      if (resp.Flag!=100){
        that.setData({   
          hidden: false,
          title: '提示',
          text: resp.FlagString
        })
        return;
      }
      that.setData({
        isInit: true,
        hidden: false,
        title: '提示',
        text: resp.FlagString
      }) 
    }
    if(data.playType=="lss"){

      plugin.LssInit({
        WeChartApp: "aodianyun",
        url:data.lssUrl,
        uin: 29773,
        appId: '7zzz1uHNmHUXXyJi',//7zzz1uHNmHUXXyJi 7zB3H3umBmUQUiQQ
        callback: callback,
        autostart: data.autostart,
        muted: data.muted,
        loop: data.loop,
        objectFit: data.objectFit,
        direction: data.direction
      })
    }else{
      plugin.VodInit({
        WeChartApp:"aodianyun",
        url: data.vodUrl,
        uin: 29773,
        appId: 'fHHu3m61u11PPyPS',
        callback: callback,
        autostart: data.autostart,
        muted: data.muted,
        loop: data.loop,
        objectFit: data.objectFit,
        direction: data.direction
      })
    }
   
},
onReady:function(){
},
cancel:function(){
    this.setData({
      hidden: true,
    })
},
confirm:function(){
  if (this.data.isInit){
      wx.navigateTo({
        url: 'play'
      })
    }else{
      wx.navigateTo({
        url: '/pages/index/index'
      })
    }
  }
})