// pages/index/play.js
var plugin = require("../../vendor/mps-sdk/index.js")
Page({
  /**
   * 页面的初始数据
   */
  data: {
    inputValue:'',

    hidden: true,
    title: '警告',
    text: '错误',
    nocancel: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (opt) {
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function(){
    var that = this;
    plugin.AddPlayerCallback("logEvent",function(e){
      console.log(e)
      if(e.code == 102){
        if (that.data.hidden) {
        that.setData({
          hidden: false,
          title: '提示',
          text: e.msg,
        })
        }
      }else if(e.code == 103){
        if (that.data.hidden) {
        that.setData({
          hidden: false,
          title: '提示',
          text: e.msg,
        })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  bindInputBlur: function (e) {
    this.inputValue = e.detail.value
  },
  bindSendDanmu: function () {
    var that = this;
    plugin.SendDanmu({
      text: that.inputValue,
      color: that.getRandomColor()
    })
  },
  bindPlay: function () {
    plugin.Play(function(){
      console.log("current" + plugin.Currenttime())
      console.log("durtion" + plugin.Totalfiletime())
    })
  },
  bindPause: function () {
    plugin.Pause()
  },
  getRandomColor:function() {
    const rgb = []
      for (let i = 0 ; i < 3; ++i){
      let color = Math.floor(Math.random() * 256).toString(16)
      color = color.length == 1 ? '0' + color : color
      rgb.push(color)
    }
  return '#' + rgb.join('')
  },
  updatebar: function (e) {
    // e.preventDefault()
    console.log(e)
    // wx.createSelectorQuery().select("#Bar").boundingClientRect(function (rect) {
    //   console.log(rect.left, rect.width)
    if (this.data.hidden){
      this.setData({
        hidden: false,
        title: '提示',
        text: "touch move",
      })
    }
    // })
  },
  confirm: function () {
    this.setData({
      hidden: true,
      title: '',
      text: ""
    })
  }
})